Kommo integration: operations for AI agents
Kommo connects to Type.com as an integration. This page lists the 163 operations documented for Claude and Codex in Type.com: 63 read, 85 write, 15 destructive.
About Kommo
Kommo CRM is a platform for managing customer relationships, sales pipelines, and business processes.
Categories: Sales & CRM
How to connect Kommo to Type.com
- Access
- Organization connection: one shared account for the workspace.
To add the connection, follow the steps in Space connections.
Documented operations
163 operations. Your connection's permissions determine which operations are available. API references describe the vendor surface; they do not expand your connection's credentials or access.
163 operations listed.
Notes
- Read
Get notes list by entity type
This method allows getting a list of notes by the entity type
GET /api/v4/{entity_type}/notes - Read
Get notes list of entity
This method allows getting a notes list by the ID of the parent entity
GET /api/v4/{entity_type}/{entity_id}/notes - Read
Get note by ID
This method allows getting a particular note data by its ID
GET /api/v4/{entity_type}/notes/{id} - Write
Add notes
This method allows adding multiple notes
POST /api/v4/{entity_type}/notes - Write
Edit notes
This method allows to edit multiple notes. An array of objects is passed.
PATCH /api/v4/{entity_type}/notes - Write
Unpin note
POST /api/v4/{entity_type}/notes/{id}/unpin
POST /api/v4/{entity_type}/notes/{id}/unpin - Write
Edit note
This method allows to edit multiple notes. An array of objects is passed.
PATCH /api/v4/{entity_type}/notes/{id} - Write
Pin note
POST /api/v4/{entity_type}/notes/{id}/pin
POST /api/v4/{entity_type}/notes/{id}/pin
Chats
- Read
Get list of templates
The method allows you to get a list of templates in your account.
GET /api/v4/chats/templates - Read
Get chat history
The method allows you to get a list of messages in a specific chat.
GET /{scope_id}/chats/{conversation_id}/history - Read
Get template by ID
The method allows you to get data about a template.
GET /api/v4/chats/templates/{id} - Write
Create new chat
This method allows you to create a chat before sending the first message.
POST /{scope_id}/chats - Write
Add templates
The method allows adding templates in a bunch.
POST /api/v4/chats/templates - Write
Edit a WhatsApp template status
The method allows editing the WhatsApp template status.
POST /api/v4/chats/templates/{id}/review/{review_id} - Write
Edit templates
The method allows editing templates in a bunch.
PATCH /api/v4/chats/templates - Write
Submit a WhatsApp template for moderation
The method allows submitting a WhatsApp template for moderation.
POST /api/v4/chats/templates/{id}/review - Destructive
Delete templates
The method allows deleting a template in your account. You can delete either a specific template or several templates at once. If the file attached to the template has not been used anywhere else, or all entities where it was used have been deleted, then the file will be deleted along with the template, otherwise the file will not be deleted and will be available in Media list.
DELETE /api/v4/chats/templates - Destructive
Delete a template
The method allows deleting a template in your account. If the file attached to the template has not been used anywhere else, or all entities where it was used have been deleted, then the file will be deleted along with the template, otherwise the file will not be deleted and will be available in Media list.
DELETE /api/v4/chats/templates/{id}
Events
- Read
Get event by ID
This method allows getting a particular event data by its ID.
GET /api/v4/events/{id} - Read
Events list
This method allows getting the events list
GET /api/v4/events - Read
Get events types
This method allows getting all available events types
GET /api/v4/events/types - Write
Add call notification
POST /api/v2/events
POST /api/v2/events
Tasks
- Read
Get task by ID
This method allows to get a particular task data by its ID.
GET /api/v4/tasks/{id} - Read
Tasks list
GET /api/v4/tasks
GET /api/v4/tasks - Write
Edit task
To edit a singular task, you can add the task ID into the method URL. The task object is passed.
PATCH /api/v4/tasks/{id} - Write
Edit tasks
This method allows to edit multiple tasks. When updating multiple tasks, an array of task objects is passed.
PATCH /api/v4/tasks - Write
Add tasks
This method allows adding multiple tasks.
POST /api/v4/tasks
Leads
- Read
Get incoming lead by UID
This method allows getting a particular incoming lead data by its UID
GET /api/v4/leads/unsorted/{uid} - Read
Pipeline stages list
This method allows to get a list of pipeline stages on the account.
GET /api/v4/leads/pipelines/{pipeline_id}/statuses - Read
Get lead by ID
This method allows getting a particular lead data by its ID.
GET /api/v4/leads/{id} - Read
Incoming leads summary information
This method allows getting summary information about the incoming leads.
GET /api/v4/leads/unsorted/summary - Read
Get pipeline by ID
This method allows getting a single pipeline object by its ID.
GET /api/v4/leads/pipelines/{id} - Read
Get pipelines
The method allows to get a list of pipelines on the account.
GET /api/v4/leads/pipelines - Read
Get loss reasons
GET /api/v4/leads/loss_reasons
GET /api/v4/leads/loss_reasons - Read
Get loss reason by ID
GET /api/v4/leads/loss_reasons/{id}
GET /api/v4/leads/loss_reasons/{id} - Read
Get pipeline stage by ID
This method allows to get a pipeline stage object by its ID
GET /api/v4/leads/pipelines/{pipeline_id}/statuses/{id} - Read
Incoming leads list
This method allows getting a list of the incoming leads in the account
GET /api/v4/leads/unsorted - Read
Get lead subscribers
The method allows to get lead subscribers
GET /api/v4/leads/{id}/subscriptions - Read
Get leads
This method allows getting a list of leads in the account
GET /api/v4/leads - Write
Add leads
This method allows adding multiple or singular leads into the account.
POST /api/v4/leads - Write
Add incoming leads from the type sip (call)
This method allows adding single or multiple incoming leads into the account
POST /api/v4/leads/unsorted/sip - Write
Accept incoming leads
This method allows accept an incoming lead.
POST /api/v4/leads/unsorted/{uid}/accept - Write
Edit pipeline
This method allows editing the pipeline on the account
PATCH /api/v4/leads/pipelines/{id} - Write
Add pipelines
This method allows adding multiple pipelines
POST /api/v4/leads/pipelines - Write
Complex addition of leads with contact and company
The method allows you to add leads with contacts and a company to your account in batches. The added data can be checked in the duplicate control.
POST /api/v4/leads/complex - Write
Add incoming leads from the type form
This method allows adding multiple or singular incoming leads
POST /api/v4/leads/unsorted/forms - Write
Link incoming leads
This method allows linking an incoming lead to an existing lead.
POST /api/v4/leads/unsorted/{uid}/link - Write
Pipeline stage edit
This method allows editing a pipeline stage. You can pass stage descriptions (optional).
PATCH /api/v4/leads/pipelines/{pipeline_id}/statuses/{id} - Write
Update lead
This method allows updating a single lead. Pass an object to update a single lead.
PATCH /api/v4/leads/{id} - Write
Update leads
This method allows updating multiple leads. When updating multiple leads, an array of lead objects is passed.
PATCH /api/v4/leads - Write
Add stages to pipeline
This method allows adding multiple stages. You can pass stage descriptions (optional).
POST /api/v4/leads/pipelines/{pipeline_id}/statuses - Destructive
Delete pipeline
This method allows to delete a pipeline from the account
DELETE /api/v4/leads/pipelines/{id} - Destructive
Delete pipeline stage
This method allows deleting a stage
DELETE /api/v4/leads/pipelines/{pipeline_id}/statuses/{id} - Destructive
Declining incoming leads
This method allows declining an incoming lead
DELETE /api/v4/leads/unsorted/{uid}/decline
Files
- Read
Get file by UUID
A method that allows you to receive a file.
GET /v1.0/files/{file_uuid} - Read
Get files
The method for obtaining account files that meet specified filters requires a request to be sent to the file service host.
GET /v1.0/files - Read
Get a version of file
A method that allows you to get file versions.
GET /v1.0/files/{file_uuid}/versions - Read
Get files attached to an entity
The method allows to get files attached to a chosen entity.
GET /api/v4/{entity}/{entity_id}/files - Read
Get entities associated with a file
This method allows to get entities associated with a file.
GET /api/v4/files/{file_uuid}/links - Write
Restore files
This method allows to restore files of the account.
POST /v1.0/files/restore - Write
Edit a file
The method allows you to edit the file. When you edit a file, you can change its name or active version.
PATCH /v1.0/files/{file_uuid} - Write
Detach files from an entity
The method allows to detach files from a chosen entity.
DELETE /api/v4/{entity}/{entity_id}/files - Destructive
Delete files
The method allows you to delete files from the account.
DELETE /v1.0/files - Destructive
Attach files to an entity
The method allows to attach files to a chosen entity.
PUT /api/v4/{entity}/{entity_id}/files
Catalogs
- Read
Get lists
The method allows getting a list of available lists.
GET /api/v4/catalogs - Read
Get list
The method allows getting a particular list of data by its ID.
GET /api/v4/catalogs/{id} - Read
Get a catalog field by its ID
This method allows to get a list of custom fields in the account.
GET /api/v4/catalogs/{list_id}/custom_fields/{custom_field_id} - Read
Get list element
This method allows to get a list element data by its ID
GET /api/v4/catalogs/{list_id}/elements/{element_id} - Read
Custom fields list of a catalog
This method allows to get a list of list custom fields .
GET /api/v4/catalogs/{list_id}/custom_fields - Read
Get list elements
This method allows getting available list elements.
GET /api/v4/catalogs/{list_id}/elements - Write
Update a custom field of a catalog
This method allows updating a custom field of a list.
PATCH /api/v4/catalogs/{list_id}/custom_fields/{cf_id} - Write
Edit list
This method allows editing a singular list. The list object is passed.
PATCH /api/v4/catalogs/{id} - Write
Edit lists
This method allows editing multiple lists. An array of list objects is passed.
PATCH /api/v4/catalogs - Write
Add lists
The method allows adding multiple lists
POST /api/v4/catalogs - Write
Update custom fields of a catalog
This method allows updating multiple custom fields of a list
PATCH /api/v4/catalogs/{id}/custom_fields - Write
Add list elements
This method allows adding multiple list elements
POST /api/v4/catalogs/{list_id}/elements - Write
Edit list element
This method allows editing multiple list elements. An object is passed.
PATCH /api/v4/catalogs/{list_id}/elements/{element_id} - Write
Edit list elements
This method allows editing multiple list elements. An array of element objects is passed.
PATCH /api/v4/catalogs/{list_id}/elements - Write
Adding a custom field to a list
This method allows adding singular or multiple custom fields to a list
POST /api/v4/catalogs/{list_id}/custom_fields
Sources
- Read
Get sources
The method allows you to get a list of the integration sources
GET /api/v4/sources - Read
Get source by ID
The method returns a source object.
GET /api/v4/sources/{id} - Write
Add a source of the type text
POST /api/v2/sources/text
POST /api/v2/sources/text - Write
Add a source of the type URL
POST /api/v2/sources/url
POST /api/v2/sources/url - Write
Update sources
The method allows you to edit sources in batches.
PATCH /api/v4/sources - Write
Add a source of the type file
POST /api/v2/sources/file
POST /api/v2/sources/file - Write
Update source
The method allows you to edit a specific source.
PATCH /api/v4/sources/{id} - Write
Add sources
The method allows you to post a list of the integration sources.
POST /api/v4/sources - Destructive
Delete sources
The method allows you to delete the integration sources in batches. An array of source objects is passed.
DELETE /api/v4/sources - Destructive
Delete source
The method allows you to remove a specific source. No request body is not required to be passed.
DELETE /api/v4/sources/{id}
Account
- Read
Account parameters
The method allows getting the account information.
GET /api/v4/account
Companies
- Read
Get company by ID
This method allows to get a particular company data by its ID
GET /api/v4/companies/{id} - Read
Companies list
The method allows you to get a list of companies
GET /api/v4/companies - Write
Add companies
This method allows adding one or more companies into the account
POST /api/v4/companies - Write
Update company
This method allows updating a singular company (an object is passed)
PATCH /api/v4/companies/{id} - Write
Update companies
This method allows updating multiple companies. An array of objects is passed.
PATCH /api/v4/companies
General
- Write
Add tags to entities
This method allows updating multiple entities. An array of entity objects is passed.
PATCH /api/v4/{entity_type} - Write
Add tags to a single entity
This method allows updating tags of a single entity. An object should be passed.
PATCH /api/v4/{entity_type}/{id}
Users
- Read
Get user by ID
This method allows to get the data of the user on the account by user’s ID
GET /api/v4/users/{id} - Read
Users list
This method allows to get the data of the user on the account by user’s ID
GET /api/v4/users - Write
Deactivate users
This method allows to deactivate users in the account in bulk
POST /api/v4/users/deactivate - Write
Add users
This method allows to add multiple users to the account
POST /api/v4/users - Write
Activate users
This method allows to activate users in the account in bulk
POST /api/v4/users/activate
Agent
- Write
Launch import of products from CRM to AI
The method allows you to launch products import.
POST /api/v2/agent/knowledges/products/import
Tags
- Read
List of entity tags
This method allows to get the list of entity tags on the account
GET /api/v4/{entity_type}/tags - Write
Create tags for a particular entity type
This method allows adding multiple tags for a particular entity specified in the method URL
POST /api/v4/{entity_type}/tags
Unlink
- Write
Unlink entities
This method allows unlinking entities from a lead, contact or company.
POST /api/v4/{entity}/{entity_id}/unlink
Connect
- Write
Connect chat channel
POST /{channel_id}/connect
POST /{channel_id}/connect
Oauth2
- Read
Get/refresh access token
The method allows you to exchange an authorization code to access token and refresh token
POST /oauth2/access_token
Custom fields
- Read
List of entity field groups
GET /api/v4/{entity_type}/custom_fields/groups
GET /api/v4/{entity_type}/custom_fields/groups - Read
Get an entity field group by ID
GET /api/v4/{entity_type}/custom_fields/groups/{id}
GET /api/v4/{entity_type}/custom_fields/groups/{id} - Read
Custom fields list
This method allows to get a list of custom fields in the account (leads, companies, contacts)
GET /api/v4/{entity_type}/custom_fields - Read
Get entity field by ID
This method allows to get a list of custom fields in the account (leads, companies, contacts)
GET /api/v4/{entity_type}/custom_fields/{id} - Write
Add field groups
POST /api/v4/{entity_type}/custom_fields/groups
POST /api/v4/{entity_type}/custom_fields/groups - Write
Add custom fields
This method allows to add singular or multiple custom fields to an entity(leads, companies, contacts)
POST /api/v4/{entity_type}/custom_fields - Write
Update custom field
This method allows to update a singular custom field of an entity(leads/contacts/companies)
PATCH /api/v4/{entity_type}/custom_fields/{id} - Write
Update custom fields
This method allows updating multiple custom fields of an entity (leads/contacts/companies)
PATCH /api/v4/{entity_type}/custom_fields - Write
Edit a field group
PATCH /api/v4/{entity_type}/custom_fields/groups/{id}
PATCH /api/v4/{entity_type}/custom_fields/groups/{id} - Destructive
Delete a field group
DELETE /api/v4/{entity_type}/custom_fields/groups/{id}
DELETE /api/v4/{entity_type}/custom_fields/groups/{id} - Destructive
Delete a custom field
This method allows you to delete a custom field of an entity on the account
DELETE /api/v4/{entity}/custom_fields/{id}
Talks
- Read
Get conversations
The method returns a collection of conversations in the account.
GET /api/v4/talks - Read
Get conversation messages
The method allows to retrieve messages from a conversation.
GET /api/v4/talks/{talk_id}/messages - Read
Get conversation by ID
The method allows you to obtain data for a specific conversation by its ID
GET /api/v4/talks/{id} - Write
Send message to conversation
The method allows to send a message to a conversation.
POST /api/v4/talks/{talk_id}/send_message - Write
Close conversation
Method allows you to launch a NPS bot or close a conversation by its ID. NPS bot is being launched only when it is enabled in the account settings, available in your plan and no forceclose parameter is supplied.
POST /api/v4/talks/{id}/close
Website buttons
- Read
Get Website chat button
The method allows you to obtain the parameters of one CRM Plugin.
GET /api/v4/website_buttons/{source_id} - Read
Get list of Website chat buttons
The method allows you to get a paginated list of parameters of all CRM Plugins in your account.
GET /api/v4/website_buttons - Write
Add Website chat button
This method enables you to add a CRM Plugin. Once you make the request, the source in the pipeline is created immediately, while the CRM Plugin settings are created asynchronously (outside the context of the request).
POST /api/v4/website_buttons - Write
Connect online chat to Website chat button
This method enables you to link an online chat to the CRM Plugin. The process of creating an online chat and connecting it to the CRM Plugin happens asynchronously, and not in the context of a request.
POST /api/v4/website_buttons/{source_id}/online_chat - Write
Update Website chat button
This method enables users to modify an existing CRM Plugin. Users can add new trusted domains to an existing CRM Plugin, but the addition occurs asynchronously, outside of the request context.
PATCH /api/v4/website_buttons/{source_id}
Contacts
- Read
Contacts list
This method allows to get a list of contacts in the account
GET /api/v4/contacts - Read
Get contact chats
The method allows you to retrieving a contact’s chats.
GET /api/v4/contacts/chats - Read
Get contact by ID
This method allows to get a particular contact data by its ID
GET /api/v4/contacts/{id} - Write
Link chat to contact
The method allows you to link an existing chat to a contact.
POST /api/v4/contacts/chats - Write
Add contacts
This method allows adding multiple or singular contacts into the account
POST /api/v4/contacts - Write
Update contacts
This method allows updating multiple contacts. When updating multiple contacts, an array of contact objects is passed.
PATCH /api/v4/contacts - Write
Update contact
This method allows updating a contact. The contact object is passed.
PATCH /api/v4/contacts/{id}
Link
- Write
Link entities
This method allows linking entities to a lead, contact or company.
POST /api/v4/{entity}/{entity_id}/link
Roles
- Read
Get role by ID
This method allows getting a particular role data by its ID
GET /api/v4/roles/{id} - Read
User roles list
This method allows getting a list of user roles on the account
GET /api/v4/roles - Write
Edit roles
This method allows editing user roles.
PATCH /api/v4/roles/{id} - Write
Add roles
This method allows to add multiple roles to the account
POST /api/v4/roles - Destructive
Delete role
This method allows deleting a user role from the account
DELETE /api/v4/roles/{id}
Bots
- Read
Get a Salesbot by ID
The method allows to obtain a Salesbot by its ID
GET /api/v4/bots/{id} - Read
Salesbots list
The method allows getting a list of Salesbots in the account
GET /api/v4/bots - Write
Launch Salesbot
POST /api/v4/bots/{id}/run
POST /api/v4/bots/{id}/run - Write
Stop a Salesbot
POST /api/v4/bots/{id}/stop
POST /api/v4/bots/{id}/stop - Write
Launch Salesbots
POST /api/v4/bots/run
POST /api/v4/bots/run
Upload
- Write
Upload a part of the file
The method allows you to upload part of the file. The request must be sent to the file service host. The full link indicating the sessiontoken is returned when the session is opened.
POST /upload/{session_token}
Widgets
- Read
Widgets List
This method returns an aggregated list of public widgets installed on the account as well as widgets added by the current user.
GET /api/v4/widgets - Read
Get the widget info by its code
This method allows getting the information on a public widget or a private widget uploaded by the current user.
GET /api/v4/widgets/{widget_code} - Write
Install widget into account
This method allows installing the widget into the account.
POST /api/v4/widgets/{widget_code} - Destructive
Uninstall widget
This method allows uninstalling a widget by its code.
DELETE /api/v4/widgets/{widget_code}
Webhooks
- Read
List of webhooks
The method allows getting a list of webhooks.
GET /api/v4/webhooks - Write
Add webhook
The method allows creating a webhook to sent event notifications to the specified URL.
POST /api/v4/webhooks - Destructive
Delete webhook
The method allows you to delete a webhook.
DELETE /api/v4/webhooks
React
- Write
Send or withdraw reactions
The method allows you to send or remove a reaction from a specific message.
POST /{scope_id}/react
Calls
- Write
Add call note
This method allows adding multiple calls
POST /api/v4/calls
Delivery status
- Write
Update message delivery status
The method allows you to update the delivery status of a specific message.
POST /{scope_id}/{msgid}/delivery_status
Links
- Read
Linked entities list
This method allows getting a list of entities linked to a lead/contact/company by the ID of the lead, contact or company.
GET /api/v4/{entity}/{entity_id}/links
Disconnect
- Destructive
Disconnect chat channel
After disconnecting the channel, you will stop receiving webhooks for outgoing messages. The “initiate conversation” option will also be disabled in the lead card (upon the expiration of the UI/UX cache).
DELETE /{channel_id}/disconnect
Sessions
- Write
Create a file upload session
The method allows you to create a session to upload a file or version of a file. If the method is used to upload a new version of a file, then the uploaded version will automatically become the active version of the file. The request must be sent to the file service host.
POST /v1.0/sessions
Typing
- Write
Transfer typing information
The method provides transferring information that the client is currently typing something in the messenger. The information will be displayed in Kommo interface.
POST /{scope_id}/typing
Continue
- Write
SalesBot widget block execution confirmation
POST /api/v4/{bot}/{bot_id}/continue/{continue_id}
POST /api/v4/{bot}/{bot_id}/continue/{continue_id}
No operations match.
See How connections work for access and permissions, or browse all integrations.